import { useState } from 'react'
import AgoraRTC from 'agora-rtc-sdk-ng'
import { AgoraRTCProvider, useRTCClient } from 'agora-rtc-react'
import { AgoraManager } from '../../Services/AgoraManager/AgoraManager'
import Lobby from '../../Components/Lobby/Lobby'
import { Box } from '@mui/material'

const VideoCall = () => {
  const agoraEngine = useRTCClient(AgoraRTC.createClient({ codec: 'vp8', mode: 'rtc' }))
  const [joined, setJoined] = useState(false)

  return (
    <Box sx={{ height: '100vh', width: '100vw', overflow: 'hidden' }}>
      {joined ? (
        <AgoraRTCProvider client={agoraEngine}>
          <AgoraManager setJoined={setJoined}>
            <div>asas</div>
          </AgoraManager>
        </AgoraRTCProvider>
      ) : (
        <Lobby setJoined={setJoined} />
      )}
    </Box>
  )
}

export default VideoCall
